
From: Zwane Mwaikambo <zwane@arm.linux.org.uk>

The linker doesn't complain, but i got this error on ARM which has similar
code.

oprofile_arch_exit: discarded in section `.exit.text' from arch/arm/oprofile/built-in.o
arch/arm/oprofile/built-in.o(.init.text+0x4c): In function `oprofile_init':
: relocation truncated to fit: R_ARM_PC24 oprofile_arch_exit

oprofile_arch_init()
	<error path>
	oprofile_arch_exit()
		__exit nmi_exit()
			__exit exit_driverfs()

Signed-off-by: Zwane Mwaikambo <zwane@arm.linux.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/oprofile/nmi_int.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/oprofile/nmi_int.c~oprofile-exittext-referenced-in-inittext arch/i386/oprofile/nmi_int.c
--- 25/arch/i386/oprofile/nmi_int.c~oprofile-exittext-referenced-in-inittext	2005-02-08 22:49:31.000000000 -0800
+++ 25-akpm/arch/i386/oprofile/nmi_int.c	2005-02-08 22:49:31.000000000 -0800
@@ -70,7 +70,7 @@ static int __init init_driverfs(void)
 }
 
 
-static void __exit exit_driverfs(void)
+static void exit_driverfs(void)
 {
 	sysdev_unregister(&device_oprofile);
 	sysdev_class_unregister(&oprofile_sysclass);
@@ -420,7 +420,7 @@ int __init nmi_init(struct oprofile_oper
 }
 
 
-void __exit nmi_exit(void)
+void nmi_exit(void)
 {
 	if (using_nmi)
 		exit_driverfs();
_
